Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getVlanProfiles({
iname: "string",
networkId: "string",
});
export const merakiNetworksVlanProfilesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_vlan_profiles(iname="string",
network_id="string")
pulumi.export("merakiNetworksVlanProfilesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupVlanProfiles(ctx, &networks.LookupVlanProfilesArgs{
Iname: "string",
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksVlanProfilesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetVlanProfiles.Invoke(new()
{
Iname = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksVlanProfilesExample"] = example.Apply(getVlanProfilesResult => getVlanProfilesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetVlanProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getVlanProfiles(GetVlanProfilesArgs.builder()
.iname("string")
.networkId("string")
.build());
ctx.export("merakiNetworksVlanProfilesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getVlanProfiles
arguments:
iname: string
networkId: string
outputs:
merakiNetworksVlanProfilesExample: ${example.item}
Using getVlanProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getVlanProfiles(args: GetVlanProfilesArgs, opts?: InvokeOptions): Promise<GetVlanProfilesResult>
function getVlanProfilesOutput(args: GetVlanProfilesOutputArgs, opts?: InvokeOptions): Output<GetVlanProfilesResult>def get_vlan_profiles(iname: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetVlanProfilesResult
def get_vlan_profiles_output(iname: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetVlanProfilesResult]func LookupVlanProfiles(ctx *Context, args *LookupVlanProfilesArgs, opts ...InvokeOption) (*LookupVlanProfilesResult, error)
func LookupVlanProfilesOutput(ctx *Context, args *LookupVlanProfilesOutputArgs, opts ...InvokeOption) LookupVlanProfilesResultOutput> Note: This function is named LookupVlanProfiles in the Go SDK.
public static class GetVlanProfiles
{
public static Task<GetVlanProfilesResult> InvokeAsync(GetVlanProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetVlanProfilesResult> Invoke(GetVlanProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetVlanProfilesResult> getVlanProfiles(GetVlanProfilesArgs args, InvokeOptions options)
public static Output<GetVlanProfilesResult> getVlanProfiles(GetVlanProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getVlanProfiles:getVlanProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- iname str
- iname path parameter.
- network_
id str - networkId path parameter. Network ID
getVlanProfiles Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Iname string
- iname path parameter.
- Item
Get
Vlan Profiles Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Iname string
- iname path parameter.
- Item
Get
Vlan Profiles Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- iname String
- iname path parameter.
- item
Get
Vlan Profiles Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- iname string
- iname path parameter.
- item
Get
Vlan Profiles Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- iname str
- iname path parameter.
- item
Get
Vlan Profiles Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- iname String
- iname path parameter.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetVlanProfilesItem
- Iname string
- IName of the VLAN profile
- Is
Default bool - Boolean indicating the default VLAN Profile for any device that does not have a profile explicitly assigned
- Name string
- Name of the profile, string length must be from 1 to 255 characters
- Vlan
Groups List<GetVlan Profiles Item Vlan Group> - An array of named VLANs
- Vlan
Names List<GetVlan Profiles Item Vlan Name> - An array of named VLANs
- Iname string
- IName of the VLAN profile
- Is
Default bool - Boolean indicating the default VLAN Profile for any device that does not have a profile explicitly assigned
- Name string
- Name of the profile, string length must be from 1 to 255 characters
- Vlan
Groups []GetVlan Profiles Item Vlan Group - An array of named VLANs
- Vlan
Names []GetVlan Profiles Item Vlan Name - An array of named VLANs
- iname String
- IName of the VLAN profile
- is
Default Boolean - Boolean indicating the default VLAN Profile for any device that does not have a profile explicitly assigned
- name String
- Name of the profile, string length must be from 1 to 255 characters
- vlan
Groups List<GetVlan Profiles Item Vlan Group> - An array of named VLANs
- vlan
Names List<GetVlan Profiles Item Vlan Name> - An array of named VLANs
- iname string
- IName of the VLAN profile
- is
Default boolean - Boolean indicating the default VLAN Profile for any device that does not have a profile explicitly assigned
- name string
- Name of the profile, string length must be from 1 to 255 characters
- vlan
Groups GetVlan Profiles Item Vlan Group[] - An array of named VLANs
- vlan
Names GetVlan Profiles Item Vlan Name[] - An array of named VLANs
- iname str
- IName of the VLAN profile
- is_
default bool - Boolean indicating the default VLAN Profile for any device that does not have a profile explicitly assigned
- name str
- Name of the profile, string length must be from 1 to 255 characters
- vlan_
groups Sequence[GetVlan Profiles Item Vlan Group] - An array of named VLANs
- vlan_
names Sequence[GetVlan Profiles Item Vlan Name] - An array of named VLANs
- iname String
- IName of the VLAN profile
- is
Default Boolean - Boolean indicating the default VLAN Profile for any device that does not have a profile explicitly assigned
- name String
- Name of the profile, string length must be from 1 to 255 characters
- vlan
Groups List<Property Map> - An array of named VLANs
- vlan
Names List<Property Map> - An array of named VLANs
GetVlanProfilesItemVlanGroup
GetVlanProfilesItemVlanName
- Adaptive
Policy GetGroup Vlan Profiles Item Vlan Name Adaptive Policy Group - Adaptive Policy Group assigned to Vlan ID
- Name string
- Name of the VLAN, string length must be from 1 to 32 characters
- Vlan
Id string - VLAN ID
- Adaptive
Policy GetGroup Vlan Profiles Item Vlan Name Adaptive Policy Group - Adaptive Policy Group assigned to Vlan ID
- Name string
- Name of the VLAN, string length must be from 1 to 32 characters
- Vlan
Id string - VLAN ID
- adaptive
Policy GetGroup Vlan Profiles Item Vlan Name Adaptive Policy Group - Adaptive Policy Group assigned to Vlan ID
- name String
- Name of the VLAN, string length must be from 1 to 32 characters
- vlan
Id String - VLAN ID
- adaptive
Policy GetGroup Vlan Profiles Item Vlan Name Adaptive Policy Group - Adaptive Policy Group assigned to Vlan ID
- name string
- Name of the VLAN, string length must be from 1 to 32 characters
- vlan
Id string - VLAN ID
- adaptive_
policy_ Getgroup Vlan Profiles Item Vlan Name Adaptive Policy Group - Adaptive Policy Group assigned to Vlan ID
- name str
- Name of the VLAN, string length must be from 1 to 32 characters
- vlan_
id str - VLAN ID
- adaptive
Policy Property MapGroup - Adaptive Policy Group assigned to Vlan ID
- name String
- Name of the VLAN, string length must be from 1 to 32 characters
- vlan
Id String - VLAN ID
GetVlanProfilesItemVlanNameAdaptivePolicyGroup
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
